PositionLengthAttributeImpl (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.tokenattributes.PositionLengthAttributeImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.tokenattributes
Class PositionLengthAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.tokenattributes.PositionLengthAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, PositionLengthAttribute, Attribute

    public class PositionLengthAttributeImpl

extends AttributeImpl
implements PositionLengthAttribute, Cloneable

See `PositionLengthAttribute`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`PositionLengthAttributeImpl()`

Method Summary
`void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
`void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
`boolean` | `equals(Object other)`
`int` | `getPositionLength()` Returns the position length of this Token.
`int` | `hashCode()`
`void` | `setPositionLength(int positionLength)`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PositionLengthAttributeImpl

    public PositionLengthAttributeImpl()

Method Detail

### setPositionLength

    public void setPositionLength(int positionLength)

  Specified by:
    `setPositionLength` in interface `PositionLengthAttribute`
  Parameters:
    `positionLength` - how many positions this token spans. NOTE: this is optional, and most analyzers don't change the default value (1).

### getPositionLength

    public int getPositionLength()

  Returns the position length of this Token.

  Specified by:
    `getPositionLength` in interface `PositionLengthAttribute`
  See Also:
    `setPositionLength(int)`

### clear

    public void clear()

  Description copied from class: `AttributeImpl`
  Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

  Specified by:
    `clear` in class `AttributeImpl`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### copyTo

    public void copyTo(AttributeImpl target)

  Description copied from class: `AttributeImpl`
  Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

  Specified by:
    `copyTo` in class `AttributeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD